// file: $isip/class/algo/Recipe/rcp_01.cc
// version: $Id: rcp_01.cc 8416 2002-07-17 20:22:13Z gao $
//

// isip include files
//
#include <Console.h>
#include "Recipe.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean Recipe::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // display the recipe
  //
  recipe_d.debug(L"recipe_d");

  // display debug_level
  //
  value.assign((long) debug_level_d);
  output.debugStr(name(), msg_a, L"debug_level_d", value);
  Console::put(output);

  // decrease indention
  //
  Console::decreaseIndention();

  // exit gracefully
  //
  return true;
}
